> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coins List with Market Data

> To query all the supported coins with price, market cap, volume and market related data

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Filter by `ids`, `names`, `symbols`, or `category`. When multiple are provided, priority is: `category` > `ids` > `names` > `symbols`.
* URL-encode spaces in `names` (e.g. `Binance%20Coin`).
* `include_tokens=all` only works with `symbols` lookups, limited to 50 symbols per request.
* Maximum of **250** IDs per request. Wildcard searches are not supported.
* Use `per_page` and `page` to paginate results.

<Tip>
  Filter by category using the `category` param — refer to [Coins Categories List](/demo/reference/coins-categories-list) for available values.
</Tip>

<CacheInfo paidRate="30 seconds" publicRate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.coins.markets.get({
    vs_currency: 'usd',
  });

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.coins.markets.get(
    vs_currency="usd",
  )

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /coins/markets
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /coins/markets:
    get:
      summary: Coins List with Market Data
      description: >-
        To query all the supported coins with price, market cap, volume and
        market related data
      operationId: coins-markets
      parameters:
        - name: vs_currency
          in: query
          required: true
          description: >-
            Target currency of coins and market data. 

            *refers to
            [`/simple/supported_vs_currencies`](/reference/simple-supported-currencies)
          schema:
            type: string
            default: usd
        - name: ids
          in: query
          required: false
          description: |-
            Coins' IDs, comma-separated if querying more than 1 coin. 
            *refers to [`/coins/list`](/reference/coins-list)
          schema:
            type: string
            default: bitcoin
        - name: names
          in: query
          required: false
          description: Coins' names, comma-separated if querying more than 1 coin.
          schema:
            type: string
            default: Bitcoin
        - name: symbols
          in: query
          required: false
          description: Coins' symbols, comma-separated if querying more than 1 coin.
          schema:
            type: string
            default: btc
        - name: include_tokens
          in: query
          required: false
          description: >-
            For `symbols` lookups, specify `all` to include all matching
            tokens. 

            Default `top` returns top-ranked tokens by market cap or volume.
          schema:
            type: string
            enum:
              - top
              - all
        - name: category
          in: query
          required: false
          description: >-
            Filter based on coins' category. 

            *refers to
            [`/coins/categories/list`](/reference/coins-categories-list)
          schema:
            type: string
        - name: order
          in: query
          required: false
          description: |-
            Sort result by field. 
            Default: market_cap_desc
          schema:
            type: string
            enum:
              - market_cap_asc
              - market_cap_desc
              - volume_asc
              - volume_desc
              - id_asc
              - id_desc
        - name: per_page
          in: query
          required: false
          description: |-
            Total results per page. 
            Default: 100 
            Valid values: 1...250
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default: 1
          schema:
            type: integer
        - name: sparkline
          in: query
          required: false
          description: |-
            Include sparkline 7-day data. 
            Default: false
          schema:
            type: boolean
        - name: price_change_percentage
          in: query
          required: false
          description: >-
            Include price change percentage timeframe, comma-separated if
            querying more than 1 timeframe. 

            Valid values: `1h`, `24h`, `7d`, `14d`, `30d`, `200d`, `1y`
          schema:
            type: string
        - name: locale
          in: query
          required: false
          description: |-
            Language background. 
            Default: en
          schema:
            type: string
            enum:
              - ar
              - bg
              - cs
              - da
              - de
              - el
              - en
              - es
              - fi
              - fr
              - he
              - hi
              - hr
              - hu
              - id
              - it
              - ja
              - ko
              - lt
              - nl
              - 'no'
              - pl
              - pt
              - ro
              - ru
              - sk
              - sl
              - sv
              - th
              - tr
              - uk
              - vi
              - zh
              - zh-tw
        - name: precision
          in: query
          required: false
          description: Decimal places for currency price value
          schema:
            type: string
            enum:
              - full
              - '0'
              - '1'
              - '2'
              - '3'
              - '4'
              - '5'
              - '6'
              - '7'
              - '8'
              - '9'
              - '10'
              - '11'
              - '12'
              - '13'
              - '14'
              - '15'
              - '16'
              - '17'
              - '18'
        - name: include_rehypothecated
          in: query
          required: false
          description: >-
            Include rehypothecated tokens in results. When true, returns
            `market_cap_rank_with_rehypothecated` field. 

            Default: false
          schema:
            type: boolean
      responses:
        '200':
          description: List of coins with market data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsMarkets'
              example:
                - id: bitcoin
                  symbol: btc
                  name: Bitcoin
                  image: >-
                    https://coin-images.coingecko.com/coins/images/1/large/bitcoin.png?1696501400
                  current_price: 77671
                  market_cap: 1555886872303
                  market_cap_rank: 1
                  fully_diluted_valuation: 1555914058873
                  total_volume: 33235034316
                  high_24h: 78419
                  low_24h: 76696
                  price_change_24h: -747.3360347281705
                  price_change_percentage_24h: -0.95302
                  market_cap_change_24h: -15184401491.513184
                  market_cap_change_percentage_24h: -0.9665
                  circulating_supply: 20030493
                  total_supply: 20030843
                  max_supply: 21000000
                  ath: 126080
                  ath_change_percentage: -38.39571
                  ath_date: '2025-10-06T18:57:42.558Z'
                  atl: 67.81
                  atl_change_percentage: 114443.23093
                  atl_date: '2013-07-06T00:00:00.000Z'
                  roi: null
                  last_updated: '2026-05-18T12:49:21.599Z'
                  market_cap_rank_with_rehypothecated: 1
                  sparkline_in_7d:
                    price:
                      - 81045.84776489827
                      - 81001.73089268175
                      - 80898.20817826076
                  price_change_percentage_1h_in_currency: 0.5823392426906319
                  price_change_percentage_24h_in_currency: -0.9530164743774191
                  price_change_percentage_7d_in_currency: -4.042267423689584
                  price_change_percentage_14d_in_currency: -1.5720857443461431
                  price_change_percentage_30d_in_currency: 1.9453890367549207
                  price_change_percentage_200d_in_currency: -29.452371850925864
                  price_change_percentage_1y_in_currency: -25.214612207475373
components:
  schemas:
    CoinsMarkets:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
          - image
          - current_price
          - market_cap
          - market_cap_rank
          - fully_diluted_valuation
          - total_volume
          - high_24h
          - low_24h
          - price_change_24h
          - price_change_percentage_24h
          - market_cap_change_24h
          - market_cap_change_percentage_24h
          - circulating_supply
          - total_supply
          - max_supply
          - ath
          - ath_change_percentage
          - ath_date
          - atl
          - atl_change_percentage
          - atl_date
          - roi
          - last_updated
        properties:
          id:
            type: string
            description: Coin ID
          symbol:
            type: string
            description: Coin symbol
          name:
            type: string
            description: Coin name
          image:
            type: string
            description: Coin image URL
          current_price:
            type: number
            nullable: true
            description: Current price in target currency
          market_cap:
            type: number
            nullable: true
            description: Market cap in target currency
          market_cap_rank:
            type: integer
            nullable: true
            description: Market cap rank
          fully_diluted_valuation:
            type: number
            nullable: true
            description: Fully diluted valuation in target currency
          total_volume:
            type: number
            nullable: true
            description: Total trading volume in target currency
          high_24h:
            type: number
            nullable: true
            description: 24-hour price high in target currency
          low_24h:
            type: number
            nullable: true
            description: 24-hour price low in target currency
          price_change_24h:
            type: number
            nullable: true
            description: 24-hour price change in target currency
          price_change_percentage_24h:
            type: number
            nullable: true
            description: 24-hour price change percentage
          market_cap_change_24h:
            type: number
            nullable: true
            description: 24-hour market cap change in target currency
          market_cap_change_percentage_24h:
            type: number
            nullable: true
            description: 24-hour market cap change percentage
          circulating_supply:
            type: number
            nullable: true
            description: Circulating supply
          total_supply:
            type: number
            nullable: true
            description: Total supply
          max_supply:
            type: number
            nullable: true
            description: Max supply
          ath:
            type: number
            nullable: true
            description: All-time high price in target currency
          ath_change_percentage:
            type: number
            nullable: true
            description: All-time high change percentage
          ath_date:
            type: string
            format: date-time
            nullable: true
            description: All-time high date
          atl:
            type: number
            nullable: true
            description: All-time low price in target currency
          atl_change_percentage:
            type: number
            nullable: true
            description: All-time low change percentage
          atl_date:
            type: string
            format: date-time
            nullable: true
            description: All-time low date
          roi:
            type: object
            nullable: true
            description: Return on investment data
            properties:
              times:
                type: number
                description: ROI multiplier
              currency:
                type: string
                description: ROI currency
              percentage:
                type: number
                description: ROI percentage
          last_updated:
            type: string
            format: date-time
            description: Last updated timestamp
          market_cap_rank_with_rehypothecated:
            type: integer
            nullable: true
            description: Market cap rank including rehypothecated tokens
          sparkline_in_7d:
            type: object
            description: Sparkline price data for the last 7 days
            properties:
              price:
                type: array
                items:
                  type: number
                description: Array of price values
          price_change_percentage_1h_in_currency:
            type: number
            nullable: true
            description: 1-hour price change percentage in target currency
          price_change_percentage_24h_in_currency:
            type: number
            nullable: true
            description: 24-hour price change percentage in target currency
          price_change_percentage_7d_in_currency:
            type: number
            nullable: true
            description: 7-day price change percentage in target currency
          price_change_percentage_14d_in_currency:
            type: number
            nullable: true
            description: 14-day price change percentage in target currency
          price_change_percentage_30d_in_currency:
            type: number
            nullable: true
            description: 30-day price change percentage in target currency
          price_change_percentage_200d_in_currency:
            type: number
            nullable: true
            description: 200-day price change percentage in target currency
          price_change_percentage_1y_in_currency:
            type: number
            nullable: true
            description: 1-year price change percentage in target currency
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````